Name:           python-dbt
Version:        1.0.0.40.5
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The dbt Cloud CLI - an ELT tool for running SQL transformations and data models in dbt Cloud. For more documentation on these commands, visit: docs.getdbt.com

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.getdbt.com/
Source:         %{pypi_source dbt}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'dbt' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-dbt
Summary:        %{summary}

%description -n python3-dbt %_description


%prep
%autosetup -p1 -n dbt-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-dbt -f %{pyproject_files}


%changelog
%autochangelog